using System
class Takmicenje
{
    static void Main()
    {
        string[] nm = Console.ReadLine().Split();
        int n = int.Parse(nm[0]); //broj santi
        int m = int.Parse(nm[1]);   //broj puteva izmedju santi
        for (int i = 0; i < m; i++)
        {
            string[] M = Console.ReadLine().Split();
            int p1 = int.Parse(M[0]);
            int p2 = int.Parse(M[1]);
            int o = int.Parse(M[2]);
           
        }
        string[] ml = Console.ReadLine().Split();
        int mika = int.Parse(nm[0]);
        int laza = int.Parse(nm[1]);
        Console.WriteLine(-1);